[Cocoa] "Plug-in will handle load" error isn't declared in the modern API
authormitz@apple.com <mitz@apple.com@268f45cc-cd09-0410-ab3c-d52691b4dbfc>
Wed, 15 Oct 2014 19:39:05 +0000 (19:39 +0000)
committermitz@apple.com <mitz@apple.com@268f45cc-cd09-0410-ab3c-d52691b4dbfc>
Wed, 15 Oct 2014 19:39:05 +0000 (19:39 +0000)
commitdfe07a5a8070dd26c6f6aeab491b040fcc3d203c
tree58cd53de205d2a019b4d60be5a021f72860d1cd5
parent11e9c610f61430ed9e6e17a4fc1c06ffbec74ca2
[Cocoa] "Plug-in will handle load" error isn't declared in the modern API
https://bugs.webkit.org/show_bug.cgi?id=137747

Reviewed by Anders Carlsson.

* UIProcess/API/Cocoa/WKError.mm: Define _WKLegacyErrorDomain.
* UIProcess/API/Cocoa/WKErrorInternal.h: Changed to import WKErrorPrivate.h.
* UIProcess/API/Cocoa/WKErrorPrivate.h: Added. Declares _WKLegacyErrorDomain
and _WKLegacyErrorPlugInWillHandleLoad.
* WebKit2.xcodeproj/project.pbxproj: Added new private header.

git-svn-id: https://svn.webkit.org/repository/webkit/trunk@174742 268f45cc-cd09-0410-ab3c-d52691b4dbfc
Source/WebKit2/ChangeLog
Source/WebKit2/UIProcess/API/Cocoa/WKError.mm
Source/WebKit2/UIProcess/API/Cocoa/WKErrorInternal.h
Source/WebKit2/UIProcess/API/Cocoa/WKErrorPrivate.h [new file with mode: 0644]
Source/WebKit2/WebKit2.xcodeproj/project.pbxproj